Priority: Normal

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24355

Description

Hi,

I can't make N:M relation working.

In attachment you'll find a small SQL script to create simple tables with restrictions as described here : 

https://github.com/qgis/QGIS/pull/2522

and a small QGIS project.

There are two issues :

When I create an observation, I can't create an author (auteur) linked to it

When I create an observation, I can't make a relation to an existing author (auteur). There is an error message because the new

observation's id is not inserted in the relation table but a null value is inserted which violates not-null constraint.

Associated revisions

Revision 686d2111 - 2019-03-06 08:40 PM - Matthias Kuhn 

Fix n:m relations in autogenerated attribute forms

Fix #16446

Fix #21491

Revision 99a01676 - 2019-03-07 08:26 AM - Matthias Kuhn 

Fix n:m relations in autogenerated attribute forms

Fix #16446

Fix #21491

Revision 9bf34104 - 2019-03-07 08:27 AM - Matthias Kuhn 

Fix n:m relations in autogenerated attribute forms

Fix #16446

Fix #21491

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No
https://github.com/qgis/QGIS/pull/2522


- Easy fix? set to No

#2 - 2017-05-01 02:11 AM - Giovanni Manghi

- Description updated

- Priority changed from High to Normal

#3 - 2017-06-23 04:29 PM - Regis Haubourg

I tested that and it works for me though selecting rows is not so easy to understand. 

In your dataset, the issue is probably that it is empty and that the current table form view shows an empty form, but to actually create a new observation,

you need to use the 'add new line" button.

I can share a screen cast if needed

#4 - 2017-06-26 10:36 AM - Nicolas Boisteault

When you say "add new line", you mean "add an entity", right?

Please make a screen cast, I really don't understand what I'm doing wrong.

Thank you very much.

#5 - 2018-02-28 04:30 PM - Nicolas Boisteault

I still can't create N:M relations in QGIS 3.0. Can someone give a simple example that works please ? Thanks.

#6 - 2018-02-28 04:32 PM - Giovanni Manghi

- Status changed from Open to Feedback

#7 - 2018-07-13 03:34 PM - Regis Haubourg

- Status changed from Feedback to Open

#8 - 2018-09-26 02:08 PM - Nicolas Boisteault

I still can't create N:M relations in QGIS 3.3.

#9 - 2018-09-27 09:15 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.5 to 3.3(master)

#10 - 2019-03-07 08:22 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|686d21114b977025e411702eb23182257e62ab9e.

Files

many-to-many-bug_-_Copie.qgs 17.8 KB 2017-04-13 Nicolas Boisteault

many-to-many-tables.sql 1.36 KB 2017-04-13 Nicolas Boisteault
